Upstream information

CVE-2014-3676 at MITRE

Description

Heap-based buffer overflow in Shim allows remote attackers to execute arbitrary code via a crafted IPv6 address, related to the "tftp:// DHCPv6 boot option."

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 889332 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • shim >= 0.7.318.81ee561d-0.9.2
Patchnames:
sledsp3-shim-2014-11-20
SUSE Linux Enterprise Desktop 12 SP1
SUSE Linux Enterprise Server 12 SP1
  • shim >= 0.9-2.14
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Server 12 SP2
  • shim >= 0.9-20.3
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server 12 SP4
  • shim >= 0.9-23.14
SUSE Linux Enterprise Desktop 12
SUSE Linux Enterprise Server 12
  • shim >= 0.7-14.2
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • shim >= 14-25.6.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • shim >= 15+git47-1.5
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • shim >= 15+git47-3.3.1
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • shim >= 15.4-2.1
  • shim-susesigned >= 15+git47-3.7.1
SUSE Linux Enterprise Module for Basesystem 15
  • shim >= 14-5.8
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server for SAP Applications 11 SP3
SUSE Linux Enterprise Server for VMWare 11 SP3
  • gnu-efi >= 3.0u-0.7.2
  • shim >= 0.7.318.81ee561d-0.9.2
Patchnames:
slessp3-shim-2014-11-20
SUSE Linux Enterprise Server 11 SP4
  • shim >= 0.7.318.81ee561d-0.9.2
SUSE Linux Enterprise Software Development Kit 11 SP3
  • gnu-efi >= 3.0u-0.7.2
Patchnames:
sdksp3-shim-2014-11-20
openSUSE Leap 15.0
  • shim >= 14-lp150.7.3
Patchnames:
openSUSE Leap 15.0 GA shim-14-lp150.7.3
openSUSE Tumbleweed
  • shim >= 0.9-1.1
Patchnames:
openSUSE Tumbleweed GA shim-0.9-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES for SAP Applications gnu-efi Released
SUSE Linux Enterprise Server 11 SP3 gnu-efi Released
SUSE Linux Enterprise Server 11 SP3 LTSS gnu-efi Released
SUSE Linux Enterprise Server 11 SP3 for VMware gnu-efi Released
SUSE Linux Enterprise Software Development Kit 11 SP3 gnu-efi Released